package cc.smtweb.biz.mztb.web.domian;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2023-12-19 11:07:02
 * 实体【[填报主表](PRE_FILL_OUT)】的Entity类
 */
public class PreFillOut extends DefaultEntity {
    public static final String ENTITY_NAME = "PRE_FILL_OUT";

    public PreFillOut() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("fo_id");
    }

    /** 主键 */
    public void setId(long fo_id) {
        put("fo_id", fo_id);
    }

    /** 任务月 */
    public long getTask() {
        return getLong("fo_task");
    }

    /** 任务月 */
    public void setTask(long fo_task) {
        put("fo_task", fo_task);
    }
    /** 填报类型 */
    public int getType() {
        return getInt("fo_type");
    }

    /** 填报类型 */
    public void setType(int fo_type) {
        put("fo_type", fo_type);
    }
    /** 状态 */
    public int getState() {
        return getInt("fo_state");
    }

    /** 状态 */
    public void setState(int fo_state) {
        put("fo_state", fo_state);
    }
    /** 填报人 */
    public String getUser() {
        return getStr("fo_user");
    }

    /** 填报人 */
    public void setUser(String fo_user) {
        put("fo_user", fo_user);
    }
    /** 填报时间 */
    public long getDate() {
        return getLong("fo_date");
    }

    /** 填报时间 */
    public void setDate(long fo_date) {
        put("fo_date", fo_date);
    }
}
